package Source::Repository::Mass::ALTLinuxDest;

use strict;
use warnings;

use Source::Repository::Mass;
our $VERSION=0.001;
our $verbose=0;

$DistroMap::default_destrepo='altlinux';

sub find_altroot {
    my ($ALTROOT)= grep {-d $_} qw'/var/ftp/pub/Linux/ALT /var/ftp/pub/ALTLinux /ALT ALT /srv/public/mirror';
    return $ALTROOT;
}

# append_path: something like: fcimport/Sisyphus mgaimport/Sisyphus ...
sub set_destpath_alt_sisyphus {
    my (@append_path)=@_;
    my $destpath='~/hasher/repo/SRPMS.hasher';
    $destpath.=':~/hasher/repo/SRPMS.hasher.S' if -d "$ENV{HOME}/hasher/repo/SRPMS.hasher.S";
    my $ALTROOT=&find_altroot();
    if ($ALTROOT) {
	foreach my $pathentry (@append_path, qw!Sisyphus autoimports/Sisyphus t7/branch p7/branch t6/branch p6/branch 5.1/branch!) {
	    my $dir_to_add=$ALTROOT.'/'.$pathentry.'/files/SRPMS';
	    $destpath .= ':'.$dir_to_add  if -d $dir_to_add;
	    $dir_to_add="$ALTROOT/mirrors/".$pathentry.'/files/SRPMS';
	    $destpath .= ':'.$dir_to_add  if -d $dir_to_add;
	}
    }
    $Source::Repository::Mass::DESTPATH=$destpath;
    print STDERR "ALTLinuxDest: ALTROOT=$ALTROOT destpath=$destpath\n" if $verbose;
}

1;
