package Source::Repository::Mass::BundleImport;

use strict;
use warnings;
use Source::Package;
use Source::Repository::Mass;
use Source::Repository::Mass::Transform;
use Source::Repository::Tarball;
# breaks the order of matchers
#use Source::Repository::Matcher::Prefixator;
use Source::Repository::Mass::Transform::Embedded;
use Source::Repository::Mass::SkipPkg::MTime;

our @ISA = qw/Source::Repository::Mass::Transform::Embedded/;

$Source::Repository::Mass::origin_class='Source::Repository::Tarball';
$Source::Repository::Mass::dest_class='Source::Repository::RPM';
$Source::Repository::Mass::strategy='newer';
#$Source::Repository::Mass::opt_skip_on_error=1;
$Source::Repository::Mass::Transform::suppress_rename=1;

$Source::Repository::Mass::epoch_comparator=\&Source::Package::Comparators::null_epoch_comparator;
$Source::Repository::Mass::release_comparator=\&Source::Package::Comparators::null_release_comparator;


# defaults where to find altlinux rpms
#$DESTPATH='~/hasher/repo/SRPMS.hasher:/var/ftp/pub/Linux/ALT/Sisyphus/files/SRPMS';

# defaults for filename with watchlist
$ORIGINPATH='list';

# TODO: refactor with Embedded.pm
sub get_spec_parent {
    my ($self,$pkgpair,$converter,$converter_opt)=@_;
    my ($origin, $dest)=($pkgpair->origin,$pkgpair->dest);
    my $parentref;
    $parentref=$RPM::Source::TransformContainer::ParentProvider->get() if $RPM::Source::TransformContainer::ParentProvider;
    $parentref||=$self->{-destrepo}->pkg4rpmeditor($dest) if $dest;
    my $file=$origin->file;
    unless ($file) {
	die "Oops! internal: file not found for ".$pkgpair->originname;
    }
    my ($spec,$parent)=$RPM::Source::Transform::GET_SPEC_PARENT->get_spec_parent($converter,$origin,$converter_opt,$parentref);
    return ($spec,$parent);
}

1;
