package Source::Repository::Mass::SkipName::Listed;

use strict;
use warnings;

use Source::Repository::Mass::SkipName;
our @ISA=qw/Exporter Source::Repository::Mass::SkipName/;

unshift @Source::Repository::Filter::NAME_SKIP_CLASSES, __PACKAGE__;

require Exporter;

our $VERSION=0.001;
our @EXPORT = qw/@ORIGINSKIP @DESTSKIP/;

our @ORIGINSKIP=();
our @DESTSKIP=();
my %ORIGINSKIP;
my %DESTSKIP;

our $verbose=0;

my $opt_origin_skiplist='';
my $opt_dest_skiplist='';

sub longopt_usage {
    print "  Skip filter options:
	--origin-skiplist 'comma separated list' list of origin names to skip
	--dest-skiplist 'comma separated list' list of dest names to skip
";
}
my @LONGOPT = (
	"dest-skiplist=s"	=> \$opt_dest_skiplist,
	"origin-skiplist=s"	=> \$opt_origin_skiplist,
    );

sub process_options {
    %ORIGINSKIP=map {$_ => 1} @ORIGINSKIP, split(',',$opt_origin_skiplist);
    %DESTSKIP=map {$_ => 1} @DESTSKIP, split(',',$opt_dest_skiplist);
    #print STDERR "ORIGINSKIP: ",join(',',sort(keys(%ORIGINSKIP))),"\n";
}

sub namefilter {
    my ($matcher,$originname,$destname)=@_;
    return 1 if $ORIGINSKIP{$originname} or $DESTSKIP{$destname};
    return;
}

1;
