# ALT Linux policy that package in older branches should not be greater 
# that the ones in intermadiate branches
package Source::Repository::Mass::SkipPkg::IntermediateRepoNotLess;

use strict;
use warnings;
#use Carp;

use Source::Repository::Mass::SkipPkg;
our @ISA=qw/Source::Repository::Mass::SkipPkg/;
push @Source::Repository::Mass::PkgFilter::PKG_SKIP_CLASSES, __PACKAGE__;

our $verbose=1;
our $middlerepo_class='Source::Repository::RPM';
our @MIDDLEREPO_DEFAULT_OPTS;
our ($MIDDLEREPOPATH,
$opt_middlerepo_cachedir,
$opt_middlerepo_namelist,
$opt_middlerepo_pathlist,
$opt_middlerepo_repolist,
    );

my $middlerepo_obj;

#### TODO #### BUG: #### should search each path component independently -> should use
### special rpm search (each dir) or multiple objects

our @LONGOPT = (
    "middlerepo=s"	=> \$MIDDLEREPOPATH,
    "middlerepo-cachedir=s"	=> \$opt_middlerepo_cachedir,
    "middlerepo-namelist=s"	=> \$opt_middlerepo_namelist,
    "middlerepo-repolist=s"	=> \$opt_middlerepo_repolist,
    "middlerepo-path=s"		=> \$opt_middlerepo_pathlist,
    );

sub longopt_usage {
    print "  Limit mass operation by intermediate repo options:
	-- /path/to/dir1:...:/path/to/dirN TODO
";
}

sub process_options {
    my (@middlerepo_opts);
    push @middlerepo_opts, -namelist => $opt_middlerepo_namelist if $opt_middlerepo_namelist;
    push @middlerepo_opts, -repolist => $opt_middlerepo_repolist if $opt_middlerepo_repolist;
    push @middlerepo_opts, -cachedir => $opt_middlerepo_cachedir if $opt_middlerepo_cachedir;
    push @middlerepo_opts, -pathlist => $opt_middlerepo_pathlist if $opt_middlerepo_pathlist;

    return unless $MIDDLEREPOPATH or @middlerepo_opts or @MIDDLEREPO_DEFAULT_OPTS;

    $middlerepo_obj=$middlerepo_class->new(
	-default_opt=>$MIDDLEREPOPATH,
	@MIDDLEREPO_DEFAULT_OPTS,
	@middlerepo_opts,
	);
}

sub pkgfilter {
    my ($self,$pkgpair,$resourceobj,$mass)=@_;
    return 0 unless defined $middlerepo_obj;
    my $origin=$pkgpair->origin;
    return 0 unless $origin;
    my $destname=$pkgpair->destname;
    my $mid = $middlerepo_obj->name2pkg($destname);
    return 0 unless $mid;
    my $cmp=$mass->comparator->cmp($origin,$mid)>0;
    print STDERR "SkipPkg::IntermediateRepoNotLess: rejected due to ",$mid->file,"\n" if $cmp && $verbose;
    return 1 if $cmp;
    return 0;
}

1;
