package Source::Repository::Matcher;

use Carp;
use strict;
use warnings;
use RPM::Source::Abstract::ExportCommandLineOption;
use RPM::Source::Abstract::ExportCommandLineOptionContainer;
our @ISA=qw/RPM::Source::Abstract::ExportCommandLineOptionContainer/;

our $VERSION=0.004;
our $verbose=0;

our @NAME_MATCH_CLASSES;
BEGIN {
 @NAME_MATCH_CLASSES=qw//;
}

sub _container_arrayref {
    return \@NAME_MATCH_CLASSES;
}

# sub new {
#     my $class=shift;
#     my $self = {@_,};
#     bless($self,$class);
# }

sub origin2dest {
   my ($self,$name,$resourceobj)=@_;
   foreach my $mapper (@Source::Repository::Matcher::NAME_MATCH_CLASSES) {
       my $newname=$mapper->origin2dest($name,$resourceobj);
       if (defined $newname) {
	   return $newname;
       }
   }
   return $name;
}

sub dest2origin {
   my ($self,$name,$resourceobj)=@_;
   foreach my $mapper (@Source::Repository::Matcher::NAME_MATCH_CLASSES) {
       my $newname=$mapper->dest2origin($name,$resourceobj);
       if (defined $newname) {
	   return $newname;
       }
   }
   return $name;
}

1;
