package Source::Repository::Matcher::DistroMap;

use strict;
use warnings;
use Source::Repository::Matcher;
use RPM::Source::Shared::Resource::DistroMap;

our @ISA = qw(Source::Repository::Matcher);
push @Source::Repository::Matcher::NAME_MATCH_CLASSES, __PACKAGE__;

our $verbose=0;

sub origin2dest { 
    my ($self,$name,$resourceobj)=@_;
    if ($verbose) {
	my $resolve=$resourceobj->get_distromap->unimap_source_origin2dest($name);
	$resolve||='';
	print STDERR "Matcher::DistroMap: origin2dest($name)=$resolve\n";
    }
    return $resourceobj->get_distromap->unimap_source_origin2dest($name);
}

sub dest2origin {
    my ($self,$name,$resourceobj)=@_;
    if ($verbose) {
	my $resolve=$resourceobj->get_distromap->unimap_source_dest2origin($name);
	$resolve||='';
	print STDERR "Matcher::DistroMap: dest2origin($name)=$resolve\n";
    }
    return $resourceobj->get_distromap->unimap_source_dest2origin($name);
}

1;
