package Source::Repository::Matcher::Listed;

#use Carp;
use strict;
use warnings;

use Source::Repository::Matcher;
require Exporter;

our @ISA = qw(Exporter Source::Repository::Matcher);
our @EXPORT = qw/%ORIGIN2DESTMAP/;
our $verbose=0;

our %ORIGIN2DESTMAP=();
my %DEST2ORIGINMAP=();

unshift @Source::Repository::Matcher::NAME_MATCH_CLASSES, __PACKAGE__;

sub process_options {
    %DEST2ORIGINMAP=reverse (%ORIGIN2DESTMAP);
}

sub origin2dest {
    my ($self,$name)=@_;
    return $ORIGIN2DESTMAP{$name};
}

sub dest2origin {
    my ($self,$name)=@_;
    return $DEST2ORIGINMAP{$name};
}


1;
